#ifndef DEFS_H 
#define DEFS_H 

#include <sys/inttypes.h>
#include <io.h>

typedef uint8_t         u8;
typedef uint16_t        u16;
typedef uint32_t        u32;
typedef uint64_t        u64;

#define WDT_CLRIFG \
__asm__ __volatile__ ("bic.c	#1, %0"::"m"(IFG1));

#define NOP_WAIT(x) \
({						\
__asm__ __volatile__( 				\
		"1:			\n\t"	\
		"	dec	%0	\n\t"	\
		"	jne	1b	\n\t"	\
		::"r"((u16)x));		\
})


#endif //DEFS_H

